The NetBSD Project

CVS log for pkgsrc/www/libwww/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / www / libwww

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.95 / (download) - annotate - [select for diffs], Wed Aug 22 09:47:26 2018 UTC (8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, HEAD
Changes since 1.94: +2 -1 lines
Diff to previous 1.94 (colored)

Recursive bump for perl5-5.28.0

Revision 1.94 / (download) - annotate - [select for diffs], Thu Jun 28 15:45:46 2018 UTC (9 months, 3 weeks ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.93: +2 -10 lines
Diff to previous 1.93 (colored)

libwww: Unbreak OpenSSL 1.1 patch.  Fix SunOS MD5 section.

Revision 1.93 / (download) - annotate - [select for diffs], Sun Jun 24 17:01:58 2018 UTC (9 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.92: +2 -2 lines
Diff to previous 1.92 (colored)

libwww: removed automake14 from USE_TOOLS

Revision 1.92 / (download) - annotate - [select for diffs], Sun Jun 24 16:54:59 2018 UTC (9 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.91: +20 -33 lines
Diff to previous 1.91 (colored)

libwww: updated to 5.4.2

5.4.2:
Unknown changes.

Changes with libwww 5.4.1
* Removed the expat source code in favor of linking against
the global system expat library to avoid having to track
security advisories in that library
* Updated expat to 2.2.0
* Updated autotools to the current versions
* Library/src/HTSQL.c: add missing mysql_init to HTSQL_connect reported by Xavier Torne
* configure.ac, Library/src/Makefile.am, Library/cvs2sql/Makefile.am,
  Robot/src/Makefile.am:
  modify configure scripts for mysql_config based autoconf processing
* Library/src/HTSQL.c, Library/src/HTSQL.html, Library/src/HTSQLLog.c: remove
  mysql directory from include directiv
* Robot/src/RobotMain.c: added flag MR_KEEP_META for -lm last modified option
  detected by Jan Hutaø
* Robot/src/RobotMain.c: added flag MR_KEEP_META for -title option
  detected by Jan Hutaø
* close leak in HTBound process_boundary() detected by Sam Varshavchik
  using valgrind; excised old #if 0 snippets from HTMIME.c
* Library/src/HTCookie.c: add private function HTCookie_splitPair to
  split a KEY=VALUE pair, from Jesse Morgan
* configure.ac: remove unecessary check for appkit.h as
  suggested by Roger Persson
* Library/src/wwwsys.html: change genuine angle bracket characters
  into the angle bracket entities, thanks to Bobby Jack
* Library/src/HT*.html, Library/src/SSL/HT*.html: wrap
  all header files with extern "C"
* Library/src/HTFile, configure.ac: add a basis for
  addressing Ben's security concerns
* Library/src/HTBound.c: libwww security advisory fix from
  Sam Varshavchik, fix double-counting of processed bytes,
  rewrote HTBoundary_put_block, to fix problematic HTTP 1.1
  byte range requests
* Library/src/: HTAlert.c, HTHeader.c, HTInit.c, HTNet.c,
  HTProfil.c, HTProt.c, HTTrans.c: Patch to greatly speed up
  repeated requests, from Arthur Smith
* Library/src/HTSQL.c: modifications to compile without using
  deprecated mysql functions
* config/: config.sub, ltmain.sh: updates for recent version of
  libtool
* INSTALL.html, Library/src/HTEvtLst.c: cleaning
* libwww-config.in: include -lwwwssl, thanks to mgoddard at
  itgs-presearch.com
* Library/src/SSL/HTSSLWriter.c: avoids an eternal loop in libwww
* Library/src/SSL/HTSSL.html, Robot/src/RobotMain.c: fix for webbot
  -v option check and documentation addition
* configure.ac, Library/src/SSL/HTSSL.c,
  Library/src/SSL/windows/wwwssl.def, Robot/src/HTRobMan.html,
  Robot/src/Makefile.am, Robot/src/RobotMain.c: basic support for
  client side certificates using PEM format
* Library/src/SSL/: HTSSL.c, HTSSLReader.c, HTSSLWriter.c: add
  openssl to include for ssl.h and rand.h
* config/: config.guess, config.sub, ltmain.sh: update after
  running libtoolize
* Robot/src/Makefile.am: use SSL directory for libwwwssl.la
* Robot/src/RobotMain.c: include HTSSL.h
* configure.ac: fix aclocal underquoting warnings
* Robot/src/: RobotMain.c, Makefile.am: update to enable https
  protocol
* Library/src/HTTPReq.c: fixed , to _ in HTTRACE call
* Library/src/HTTPReq.c: removed LIBWWW_USEIDN, because unnecessary
* modules/idn/unicode_template.c: forgot one file
* Library/src/HTDNS.html: moved IDN to main branch
* Library/src/HTDNS.c: moved IDN to main branch
* Library/src/HTTPReq.c: added "LIBWWW_USEIDN" conditional
* Library/src/HTTPReq.c: moved IDN to main branch
* Library/Overview.html: JK: Added the libwww survey results

Revision 1.91 / (download) - annotate - [select for diffs], Sat Jul 9 06:39:13 2016 UTC (2 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-
Changes since 1.90: +2 -2 lines
Diff to previous 1.90 (colored)

Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.

Revision 1.90 / (download) - annotate - [select for diffs], Sat Mar 5 11:27:57 2016 UTC (3 years, 1 month ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.89: +2 -2 lines
Diff to previous 1.89 (colored)

Bump PKGREVISION for security/openssl ABI bump.

Revision 1.89 / (download) - annotate - [select for diffs], Fri Jun 12 10:51:50 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.88: +2 -2 lines
Diff to previous 1.88 (colored)

Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.

Revision 1.88 / (download) - annotate - [select for diffs], Thu Oct 9 14:07:09 2014 UTC (4 years, 6 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4
Changes since 1.87: +1 -3 lines
Diff to previous 1.87 (colored)

Remove pkgviews: don't set PKG_INSTALLATION_TYPES in Makefiles.

Revision 1.87 / (download) - annotate - [select for diffs], Thu May 29 23:37:57 2014 UTC (4 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.86: +2 -2 lines
Diff to previous 1.86 (colored)

Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.

Revision 1.86 / (download) - annotate - [select for diffs], Wed Feb 12 23:18:45 2014 UTC (5 years, 2 months ago) by tron
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.85: +2 -2 lines
Diff to previous 1.85 (colored)

Recursive PKGREVISION bump for OpenSSL API version bump.

Revision 1.85 / (download) - annotate - [select for diffs], Fri May 31 12:42:32 2013 UTC (5 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.84: +2 -2 lines
Diff to previous 1.84 (colored)

Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.

Revision 1.84 / (download) - annotate - [select for diffs], Wed Feb 6 23:21:01 2013 UTC (6 years, 2 months ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1
Changes since 1.83: +2 -2 lines
Diff to previous 1.83 (colored)

PKGREVISION bumps for the security/openssl 1.0.1d update.

Revision 1.83 / (download) - annotate - [select for diffs], Sun Oct 28 06:30:20 2012 UTC (6 years, 5 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.82: +1 -2 lines
Diff to previous 1.82 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.82 / (download) - annotate - [select for diffs], Wed Oct 3 21:58:30 2012 UTC (6 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.81: +2 -2 lines
Diff to previous 1.81 (colored)

Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.

Revision 1.81 / (download) - annotate - [select for diffs], Tue Jan 26 18:38:26 2010 UTC (9 years, 2 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3, pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3, pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1
Changes since 1.80: +2 -2 lines
Diff to previous 1.80 (colored)

apply expat patch to bundled version:
add patch from upstream CVS to fix CVE-2009-3560
(possible DOS due to crash on bad input)
bump PKGREVISION

Revision 1.80 / (download) - annotate - [select for diffs], Sun Jan 17 12:02:49 2010 UTC (9 years, 3 months ago) by wiz
Branch: MAIN
Changes since 1.79: +2 -5 lines
Diff to previous 1.79 (colored)

Recursive PKGREVISION bump for jpeg update to 8.

Revision 1.79 / (download) - annotate - [select for diffs], Sun Nov 8 08:38:54 2009 UTC (9 years, 5 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4
Changes since 1.78: +2 -2 lines
Diff to previous 1.78 (colored)

Add patch-ar for CVE-2009-3720.
Bump PKGREVISION.

Revision 1.78 / (download) - annotate - [select for diffs], Sat Apr 12 22:43:13 2008 UTC (11 years ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2009Q3-base, pkgsrc-2009Q3, pkgsrc-2009Q2-base, pkgsrc-2009Q2, pkgsrc-2009Q1-base, pkgsrc-2009Q1, pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper, cube-native-xorg-base, cube-native-xorg
Changes since 1.77: +5 -5 lines
Diff to previous 1.77 (colored)

Convert to use PLIST_VARS instead of manually passing "@comment "
through PLIST_SUBST to the plist module.

Revision 1.77 / (download) - annotate - [select for diffs], Tue Mar 11 18:47:41 2008 UTC (11 years, 1 month ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2008Q1-base, pkgsrc-2008Q1
Changes since 1.76: +2 -2 lines
Diff to previous 1.76 (colored)

Put back a couple of IRIX conditionals the way they used to behave,
e.g. match IRIX 5.x but not 6.x. Some of these may indeed apply to 6.x
too, but let's be conservative. PR pkg/38224.

Revision 1.76 / (download) - annotate - [select for diffs], Fri Jan 18 05:09:51 2008 UTC (11 years, 3 months ago) by tnn
Branch: MAIN
Changes since 1.75: +2 -2 lines
Diff to previous 1.75 (colored)

Per the process outlined in revbump(1), perform a recursive revbump
on packages that are affected by the switch from the openssl 0.9.7
branch to the 0.9.8 branch. ok jlam@

Revision 1.75 / (download) - annotate - [select for diffs], Tue Oct 16 23:48:58 2007 UTC (11 years, 6 months ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2007Q4-base, pkgsrc-2007Q4
Changes since 1.74: +2 -2 lines
Diff to previous 1.74 (colored)

Fix abusers of LOWER_OPSYS to check OPSYS or MACHINE_PLATFORM instead.

Revision 1.74 / (download) - annotate - [select for diffs], Sat Apr 21 11:17:47 2007 UTC (12 years ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2007Q3-base, pkgsrc-2007Q3, pkgsrc-2007Q2-base, pkgsrc-2007Q2
Changes since 1.73: +4 -4 lines
Diff to previous 1.73 (colored)

Fix mis-detect netbsd/hp700 as HP-UX.
Patch provided by David H. Gutteridge in PR 35240.
Ok by tnn@, no affect HP-UX.

Revision 1.73 / (download) - annotate - [select for diffs], Sat Apr 21 06:03:44 2007 UTC (12 years ago) by obache
Branch: MAIN
Changes since 1.72: +2 -3 lines
Diff to previous 1.72 (colored)

ftp.uni-hannover.de dosen't mirror now.

Revision 1.72 / (download) - annotate - [select for diffs], Sun Nov 5 17:37:55 2006 UTC (12 years, 5 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2007Q1-base, pkgsrc-2007Q1, pkgsrc-2006Q4-base, pkgsrc-2006Q4
Changes since 1.71: +2 -1 lines
Diff to previous 1.71 (colored)

DESTDIR support.

Revision 1.68.2.1 / (download) - annotate - [select for diffs], Tue Oct 17 16:18:08 2006 UTC (12 years, 6 months ago) by salo
Branch: pkgsrc-2006Q3
Changes since 1.68: +8 -8 lines
Diff to previous 1.68 (colored) next main 1.69 (colored)

Pullup ticket 1857 - requested by dmcmahill
portability fixes for libwww

Revisions pulled up:
- pkgsrc/www/libwww/Makefile			1.69, 1.70, 1.71
- pkgsrc/www/libwww/distinfo			1.22
- pkgsrc/www/libwww/options.mk			1.2
- pkgsrc/www/libwww/patches/patch-aq		1.1

   Module Name:		pkgsrc
   Committed By:	rillig
   Date:		Wed Oct  4 19:45:21 UTC 2006

   Modified Files:
   	pkgsrc/www/libwww: distinfo
   Added Files:
   	pkgsrc/www/libwww/patches: patch-aq

   Log Message:
   Added a patch for the broken "test ==".
---
   Module Name:		pkgsrc
   Committed By:	rillig
   Date:		Wed Oct  4 19:45:58 UTC 2006

   Modified Files:
   	pkgsrc/www/libwww: Makefile options.mk

   Log Message:
   Fixed some pkglint warnings.
---
   Module Name:		pkgsrc
   Committed By:	rillig
   Date:		Thu Oct  5 10:05:41 UTC 2006

   Modified Files:
   	pkgsrc/www/libwww: Makefile

   Log Message:
   Overwrite the configure script in the post-extract phase, so that it can
   be patched. Noted by Andreas Gustafsson in private mail.
---
   Module Name:		pkgsrc
   Committed By:	dmcmahill
   Date:		Tue Oct 10 00:24:54 UTC 2006

   Modified Files:
   	pkgsrc/www/libwww: Makefile

   Log Message:
   USE_TOOLS+áutomake14

   This package contained several Makefile.am patches but then proceeded to
   ignore all of them by touching all of the Makefile.in's.  Unfortunately
   those patches were there for a reason!

   Correctly packages on solaris now.

Revision 1.71 / (download) - annotate - [select for diffs], Tue Oct 10 00:24:54 2006 UTC (12 years, 6 months ago) by dmcmahill
Branch: MAIN
Changes since 1.70: +3 -3 lines
Diff to previous 1.70 (colored)

USE_TOOLS+=automake14

This package contained several Makefile.am patches but then proceeded to
ignore all of them by touching all of the Makefile.in's.  Unfortunately
those patches were there for a reason!

Correctly packages on solaris now.

Revision 1.70 / (download) - annotate - [select for diffs], Thu Oct 5 10:05:41 2006 UTC (12 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.69: +4 -2 lines
Diff to previous 1.69 (colored)

Overwrite the configure script in the post-extract phase, so that it can
be patched. Noted by Andreas Gustafsson in private mail.

Revision 1.69 / (download) - annotate - [select for diffs], Wed Oct 4 19:45:58 2006 UTC (12 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.68: +7 -9 lines
Diff to previous 1.68 (colored)

Fixed some pkglint warnings.

Revision 1.68 / (download) - annotate - [select for diffs], Thu Jul 27 18:48:04 2006 UTC (12 years, 8 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base
Branch point for: pkgsrc-2006Q3
Changes since 1.67: +2 -2 lines
Diff to previous 1.67 (colored)

Rename "SITES_* to "SITES.*" for file-specific lists of sites from which
to fetch the file.  This completes the renaming described in revision
1.1799 of bsd.pkg.mk.

Revision 1.67 / (download) - annotate - [select for diffs], Sat Mar 4 21:30:59 2006 UTC (13 years, 1 month ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q2-base, pkgsrc-2006Q2, pkgsrc-2006Q1-base, pkgsrc-2006Q1
Changes since 1.66: +2 -2 lines
Diff to previous 1.66 (colored)

Point MAINTAINER to pkgsrc-users@NetBSD.org in the case where no
developer is officially maintaining the package.

The rationale for changing this from "tech-pkg" to "pkgsrc-users" is
that it implies that any user can try to maintain the package (by
submitting patches to the mailing list).  Since the folks most likely
to care about the package are the folks that want to use it or are
already using it, this would leverage the energy of users who aren't
developers.

Revision 1.66 / (download) - annotate - [select for diffs], Sun Feb 5 23:11:25 2006 UTC (13 years, 2 months ago) by joerg
Branch: MAIN
Changes since 1.65: +2 -2 lines
Diff to previous 1.65 (colored)

Recursive revision bump / recommended bump for gettext ABI change.

Revision 1.65 / (download) - annotate - [select for diffs], Sun Jan 29 16:57:31 2006 UTC (13 years, 2 months ago) by schwarz
Branch: MAIN
Changes since 1.64: +7 -2 lines
Diff to previous 1.64 (colored)


IRIX 5 does not have libregex

Revision 1.64 / (download) - annotate - [select for diffs], Mon Dec 5 23:55:23 2005 UTC (13 years, 4 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2005Q4-base, pkgsrc-2005Q4
Changes since 1.63: +3 -3 lines
Diff to previous 1.63 (colored)

Ran "pkglint --autofix", which corrected some of the quoting issues in
CONFIGURE_ARGS.

Revision 1.63 / (download) - annotate - [select for diffs], Fri Dec 2 17:05:04 2005 UTC (13 years, 4 months ago) by wiz
Branch: MAIN
Changes since 1.62: +5 -16 lines
Diff to previous 1.62 (colored)

Convert to options framework.
While here, fix two pkglint warnings.

Revision 1.61.4.1 / (download) - annotate - [select for diffs], Sat Nov 5 17:25:26 2005 UTC (13 years, 5 months ago) by snj
Branch: pkgsrc-2005Q3
Changes since 1.61: +2 -2 lines
Diff to previous 1.61 (colored) next main 1.62 (colored)

Pullup ticket 886 - requested by Lubomir Sedlacik
security fix for libwww

Revisions pulled up:
- pkgsrc/www/libwww/Makefile		1.62
- pkgsrc/www/libwww/distinfo		1.21
- pkgsrc/www/libwww/patches/patch-ap	1.1

   Module Name:    pkgsrc
   Committed By:   salo
   Date:           Thu Nov  3 15:51:59 UTC 2005

   Modified Files:
           pkgsrc/www/libwww: Makefile distinfo
   Added Files:
           pkgsrc/www/libwww/patches: patch-ap

   Log Message:
   Security fix for SA17119:

   "A vulnerability was found in W3C Libwww, which potentially can be
   exploited by malicious people to cause a DoS (Denial of Service).

   The vulnerability is caused due to a boundary error in the
   "HTBoundary_put_block()" function when processing multipart MIME data.
   This may be exploited to cause an illegal memory access past the end of
   the input buffer via specially crafted multipart MIME data.

   Successful exploitation can potentially cause an application that uses
   Libwww to crash."

   http://secunia.com/advisories/17119/
   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=159597

   Bump PKGREVISION.
   Patch from RedHat.

Revision 1.62 / (download) - annotate - [select for diffs], Thu Nov 3 15:51:59 2005 UTC (13 years, 5 months ago) by salo
Branch: MAIN
Changes since 1.61: +2 -2 lines
Diff to previous 1.61 (colored)

Security fix for SA17119:

"A vulnerability was found in W3C Libwww, which potentially can be exploited
by malicious people to cause a DoS (Denial of Service).

The vulnerability is caused due to a boundary error in the
"HTBoundary_put_block()" function when processing multipart MIME data. This
may be exploited to cause an illegal memory access past the end of the input
buffer via specially crafted multipart MIME data.

Successful exploitation can potentially cause an application that uses Libwww
to crash."

http://secunia.com/advisories/17119/
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=159597

Bump PKGREVISION.
Patch from RedHat.

Revision 1.61 / (download) - annotate - [select for diffs], Tue May 31 20:51:59 2005 UTC (13 years, 10 months ago) by salo
Branch: MAIN
CVS Tags: pkgsrc-2005Q3-base, pkgsrc-2005Q2-base, pkgsrc-2005Q2
Branch point for: pkgsrc-2005Q3
Changes since 1.60: +3 -4 lines
Diff to previous 1.60 (colored)

delint.

Revision 1.60 / (download) - annotate - [select for diffs], Sun May 22 20:08:45 2005 UTC (13 years, 11 months ago) by jlam
Branch: MAIN
Changes since 1.59: +2 -2 lines
Diff to previous 1.59 (colored)

Remove USE_GNU_TOOLS and replace with the correct USE_TOOLS definitions:

	USE_GNU_TOOLS	-> USE_TOOLS
	awk		-> gawk
	m4		-> gm4
	make		-> gmake
	sed		-> gsed
	yacc		-> bison

Revision 1.59 / (download) - annotate - [select for diffs], Mon Apr 11 21:47:54 2005 UTC (14 years ago) by tv
Branch: MAIN
Changes since 1.58: +1 -2 lines
Diff to previous 1.58 (colored)

Remove USE_BUILDLINK3 and NO_BUILDLINK; these are no longer used.

Revision 1.58 / (download) - annotate - [select for diffs], Sun Oct 3 00:18:26 2004 UTC (14 years, 6 months ago) by tv
Branch: MAIN
CVS Tags: pkgsrc-2005Q1-base, pkgsrc-2005Q1, pkgsrc-2004Q4-base, pkgsrc-2004Q4
Changes since 1.57: +2 -2 lines
Diff to previous 1.57 (colored)

Libtool fix for PR pkg/26633, and other issues.  Update libtool to 1.5.10
in the process.  (More information on tech-pkg.)

Bump PKGREVISION and BUILDLINK_DEPENDS of all packages using libtool and
installing .la files.

Bump PKGREVISION (only) of all packages depending directly on the above
via a buildlink3 include.

Revision 1.57 / (download) - annotate - [select for diffs], Mon May 31 16:47:48 2004 UTC (14 years, 10 months ago) by minskim
Branch: MAIN
CVS Tags: pkgsrc-2004Q3-base, pkgsrc-2004Q3, pkgsrc-2004Q2-base, pkgsrc-2004Q2
Changes since 1.56: +3 -1 lines
Diff to previous 1.56 (colored)

Enable pkgviews installation.  Patches provided by Joachim Kuebart on
tech-pkg@.

Revision 1.56 / (download) - annotate - [select for diffs], Fri Mar 26 02:27:57 2004 UTC (15 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2004Q1-base, pkgsrc-2004Q1
Changes since 1.55: +2 -2 lines
Diff to previous 1.55 (colored)

PKGREVISION bump after openssl-security-fix-update to 0.9.6m.
Buildlink files: RECOMMENDED version changed to current version.

Revision 1.55 / (download) - annotate - [select for diffs], Sun Mar 21 07:41:57 2004 UTC (15 years, 1 month ago) by snj
Branch: MAIN
Changes since 1.54: +4 -1 lines
Diff to previous 1.54 (colored)

Fix build on sparc64 with gcc2.

Revision 1.54 / (download) - annotate - [select for diffs], Sun Mar 14 09:21:25 2004 UTC (15 years, 1 month ago) by heinz
Branch: MAIN
Changes since 1.53: +2 -2 lines
Diff to previous 1.53 (colored)

Use find with "-print", noted by Georg Schwarz in pkg/24248

Revision 1.53 / (download) - annotate - [select for diffs], Sun Feb 29 11:49:54 2004 UTC (15 years, 1 month ago) by markd
Branch: MAIN
Changes since 1.52: +4 -4 lines
Diff to previous 1.52 (colored)

Some shells don't like:

if test -x /bin/true; then
else

so replace with:

if test -x /bin/true; then
  :
else

From Roland Illig in a posting to "tech-pkg"

Also add missing openssl/buildlink2.mk to buildlink2.mk.

Revision 1.52 / (download) - annotate - [select for diffs], Tue Feb 17 22:28:47 2004 UTC (15 years, 2 months ago) by kristerw
Branch: MAIN
Changes since 1.51: +2 -1 lines
Diff to previous 1.51 (colored)

Add build dependency on perl.

Revision 1.51 / (download) - annotate - [select for diffs], Sat Feb 14 17:21:54 2004 UTC (15 years, 2 months ago) by jlam
Branch: MAIN
Changes since 1.50: +1 -2 lines
Diff to previous 1.50 (colored)

LIBTOOL_OVERRIDE and SHLIBTOOL_OVERRIDE are now lists of shell globs
relative to ${WRKSRC}.  Remove redundant LIBTOOL_OVERRIDE settings that
are automatically handled by the default setting in bsd.pkg.mk.

Revision 1.50 / (download) - annotate - [select for diffs], Thu Feb 12 21:22:35 2004 UTC (15 years, 2 months ago) by minskim
Branch: MAIN
Changes since 1.49: +6 -6 lines
Diff to previous 1.49 (colored)

bl3ify

Revision 1.49 / (download) - annotate - [select for diffs], Thu Feb 12 21:15:07 2004 UTC (15 years, 2 months ago) by minskim
Branch: MAIN
Changes since 1.48: +7 -1 lines
Diff to previous 1.48 (colored)

Download the new configure script rather than having a huge patch.
Suggested by wiz@.

Revision 1.48 / (download) - annotate - [select for diffs], Thu Feb 12 20:31:35 2004 UTC (15 years, 2 months ago) by minskim
Branch: MAIN
Changes since 1.47: +6 -10 lines
Diff to previous 1.47 (colored)

Replace configure with the one generated by newer autoconf, and adjust
Makefile accordingly.  This makes libwww build again with
libtool-1.5.2.  The problem was reported by reed@ in PR pkg/24391.

Revision 1.47 / (download) - annotate - [select for diffs], Sat Jan 24 15:23:47 2004 UTC (15 years, 3 months ago) by grant
Branch: MAIN
Changes since 1.46: +2 -2 lines
Diff to previous 1.46 (colored)

replace deprecated USE_GMAKE with USE_GNU_TOOLS+=make.

Revision 1.46 / (download) - annotate - [select for diffs], Wed Nov 12 03:39:44 2003 UTC (15 years, 5 months ago) by jschauma
Branch: MAIN
CVS Tags: pkgsrc-2003Q4-base, pkgsrc-2003Q4
Changes since 1.45: +2 -1 lines
Diff to previous 1.45 (colored)

PKGREVISION++ after openssl update.

Revision 1.45 / (download) - annotate - [select for diffs], Mon Sep 15 00:51:48 2003 UTC (15 years, 7 months ago) by jschauma
Branch: MAIN
Changes since 1.44: +2 -2 lines
Diff to previous 1.44 (colored)

Allow this to compile under Irix (and presumably other platforms using
a non-gcc compiler) by passing the '-i' flag to automake.

Revision 1.44 / (download) - annotate - [select for diffs], Thu Jul 17 22:55:40 2003 UTC (15 years, 9 months ago) by grant
Branch: MAIN
Changes since 1.43: +2 -2 lines
Diff to previous 1.43 (colored)

s/netbsd.org/NetBSD.org/

Revision 1.43 / (download) - annotate - [select for diffs], Mon Jun 2 01:16:05 2003 UTC (15 years, 10 months ago) by jschauma
Branch: MAIN
Changes since 1.42: +2 -2 lines
Diff to previous 1.42 (colored)

Use tech-pkg@ in favor of packages@ as MAINTAINER for orphaned packages.
Should anybody feel like they could be the maintainer for any of thewe packages,
please adjust.

Revision 1.42 / (download) - annotate - [select for diffs], Thu Apr 3 18:05:33 2003 UTC (16 years ago) by jschauma
Branch: MAIN
Changes since 1.41: +4 -1 lines
Diff to previous 1.41 (colored)

Make this compile and install on Linux.

Revision 1.41 / (download) - annotate - [select for diffs], Tue Nov 19 21:50:54 2002 UTC (16 years, 5 months ago) by jlam
Branch: MAIN
CVS Tags: netbsd-1-6-1-base, netbsd-1-6-1
Changes since 1.40: +1 -2 lines
Diff to previous 1.40 (colored)

Remove "nb1" after recent update to 5.4.0.

Revision 1.40 / (download) - annotate - [select for diffs], Tue Nov 19 20:54:11 2002 UTC (16 years, 5 months ago) by reinoud
Branch: MAIN
Changes since 1.39: +5 -5 lines
Diff to previous 1.39 (colored)

Update of the libwww package to the w3c-libwww-5.4.0 distro as found on
w3c.org. It features some bug fixes and new function calls that are used in
the new Amaya f.e.

Tested on Alpha

Revision 1.39 / (download) - annotate - [select for diffs], Sat Oct 26 18:11:20 2002 UTC (16 years, 5 months ago) by bouyer
Branch: MAIN
Changes since 1.38: +11 -1 lines
Diff to previous 1.38 (colored)

Don't compile/install libmd5 on solaris, there is one in /usr/lib which
seems good enouth, and using libwww's one breaks other system lib (librt).

Revision 1.38 / (download) - annotate - [select for diffs], Sat Oct 12 10:17:04 2002 UTC (16 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.37: +3 -3 lines
Diff to previous 1.37 (colored)

Complete conversion to buildlink2 (hi johnny!).

Revision 1.37 / (download) - annotate - [select for diffs], Wed Oct 2 18:41:44 2002 UTC (16 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.36: +7 -6 lines
Diff to previous 1.36 (colored)

Convert to use automake.mk.

Revision 1.36 / (download) - annotate - [select for diffs], Sun Aug 25 18:40:21 2002 UTC (16 years, 8 months ago) by jlam
Branch: MAIN
Changes since 1.35: +22 -6 lines
Diff to previous 1.35 (colored)

Merge changes in packages from the buildlink2 branch that have
buildlink2.mk files back into the main trunk.  This provides sufficient
buildlink2 infrastructure to start merging other packages from the
buildlink2 branch that have already been converted to use the buildlink2
framework.

Revision 1.30.2.3 / (download) - annotate - [select for diffs], Thu Aug 22 11:12:58 2002 UTC (16 years, 8 months ago) by jlam
Branch: buildlink2
Changes since 1.30.2.2: +4 -6 lines
Diff to previous 1.30.2.2 (colored) to branchpoint 1.30 (colored) next main 1.31 (colored)

Merge changes from pkgsrc-current into the buildlink2 branch for the
packages that have buildlink2.mk files.

Revision 1.35 / (download) - annotate - [select for diffs], Wed Aug 7 15:56:22 2002 UTC (16 years, 8 months ago) by fredb
Branch: MAIN
CVS Tags: netbsd-1-6-RELEASE-base, netbsd-1-6, buildlink2-base
Changes since 1.34: +3 -7 lines
Diff to previous 1.34 (colored)

Add an explicit runpath for the libwwwssl.so.1.0 shared library, and
partially revert Makefile, v1.32, so platforms without openssl-0.9.6e
in base will be able to find libssl.so.300 and libcrypto.so.300 for
binaries linked against libwwwwwl.so. Bump pkgrevision to reflect the
change in dependencies on platforms without openssl-0.9.6e in base.

Revision 1.34 / (download) - annotate - [select for diffs], Thu Aug 1 02:37:41 2002 UTC (16 years, 8 months ago) by jschauma
Branch: MAIN
Changes since 1.33: +2 -2 lines
Diff to previous 1.33 (colored)

Change MAINTAINER from tv at netbsd dot org to packages at netbsd dot org
after consulting with Todd.  Any volunteers for any of these packages?

Revision 1.33 / (download) - annotate - [select for diffs], Wed Jul 24 19:45:31 2002 UTC (16 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.32: +2 -2 lines
Diff to previous 1.32 (colored)

Change explicit build dependencies on perl into "USE_PERL5=build".  This
makes these packages build correctly on Darwin where perl>=5.8.0 is
required.

Revision 1.32.2.1 / (download) - annotate - [select for diffs], Mon Jul 22 17:09:10 2002 UTC (16 years, 9 months ago) by agc
Branch: pkgviews
Changes since 1.32: +2 -2 lines
Diff to previous 1.32 (colored) next main 1.33 (colored)

Make this package work with package views.

Revision 1.32 / (download) - annotate - [select for diffs], Mon Jul 15 14:39:21 2002 UTC (16 years, 9 months ago) by fredb
Branch: MAIN
CVS Tags: pkgviews-base
Branch point for: pkgviews
Changes since 1.31: +4 -17 lines
Diff to previous 1.31 (colored)

Remove the capability to link with static "socks":

1) Linking a shared library against a static "socks{4,5}" library
does not have the desired effect of eliminating the dependency on
"socks" (not as it does for binaries).

2) No package linked against "libwww" seems to actually utilize
"socks".

Also bump the PKGREVISION and buildlink DEPENDS to the current level,
and liberalize the (formal) dependency on "openssl", for the benefit
of pre-NetBSD-1.5 systems. From now on, we can have no more issues
with "openssl" or "socks{4,5}" versions, as only the libwwwssl.*
shared libraries carry a run-time dependency on "openssl", but no
package links against them, and no "libwww" shared libraries can carry
a run-time dependency on any "socks" libraries. [Previous versions, of
course, may have had issues -- see PR 17010, which this is a partial
fix for.]

Revision 1.30.2.2 / (download) - annotate - [select for diffs], Sun Jun 30 06:24:33 2002 UTC (16 years, 9 months ago) by jlam
Branch: buildlink2
Changes since 1.30.2.1: +9 -8 lines
Diff to previous 1.30.2.1 (colored) to branchpoint 1.30 (colored)

Convert to use the buildlink2 framework.  Trim any unnecessary changes in
the patches or remove them entirely.

Revision 1.30.2.1 / (download) - annotate - [select for diffs], Sun Jun 23 19:04:05 2002 UTC (16 years, 10 months ago) by jlam
Branch: buildlink2
Changes since 1.30: +1 -2 lines
Diff to previous 1.30 (colored)

Merge from pkgsrc-current to buildlink2 branch.

Revision 1.31 / (download) - annotate - [select for diffs], Mon Jun 17 10:33:53 2002 UTC (16 years, 10 months ago) by wiz
Branch: MAIN
Changes since 1.30: +1 -2 lines
Diff to previous 1.30 (colored)

Remove commented out USE_SSL (openssl buildlinks were already used).

Revision 1.30 / (download) - annotate - [select for diffs], Thu Nov 29 19:46:13 2001 UTC (17 years, 4 months ago) by jlam
Branch: MAIN
CVS Tags: netbsd-1-5-PATCH003
Branch point for: buildlink2
Changes since 1.29: +1 -2 lines
Diff to previous 1.29 (colored)

A dependency on automake implies a dependency on autoconf; there's no need
to list them both when we listing just automake will do.

Revision 1.29 / (download) - annotate - [select for diffs], Thu Nov 29 01:12:51 2001 UTC (17 years, 4 months ago) by hubertf
Branch: MAIN
Changes since 1.28: +3 -2 lines
Diff to previous 1.28 (colored)

Get rid of manually adding "nbX" to PKGNAME when a pkg was changed in
pkgsrc. Instead, a new variable PKGREVISION is invented that can get
bumped independent of DISTNAME and PKGNAME.

Example #1:
        DISTNAME=       foo-X.Y
        PKGREVISION=    Z
     => PKGNAME=        foo-X.YnbZ

Example #2:
        DISTNAME=       barthing-X.Y
        PKGNAME=        bar-X.Y
        PKGREVISION=    Z
     => PKGNAME=        bar=X.YnbZ (!)

On subsequent changes, only PKGREVISION needs to be bumped, no more risk
of getting DISTNAME changed accidentally.

Revision 1.28 / (download) - annotate - [select for diffs], Mon Aug 27 14:35:16 2001 UTC (17 years, 7 months ago) by tron
Branch: MAIN
Changes since 1.27: +6 -8 lines
Diff to previous 1.27 (colored)

Use wildcard dependence on "autoconf" package.

Revision 1.27 / (download) - annotate - [select for diffs], Sun Aug 26 10:32:24 2001 UTC (17 years, 8 months ago) by skrll
Branch: MAIN
Changes since 1.26: +2 -2 lines
Diff to previous 1.26 (colored)

Update automake to 1.4-p5 (1.5 is available)

Include a bugfix for lisp_LISP independently discovered by me that has
been pulled up to the automake-1-4 branch of automake cvs.

Changes are:
New in 1.4-p5:
* Allow AM_PROG_LIBTOOL again.
* Diagnose AC_CONFIG_HEADERS the same as AC_CONFIG_HEADER.
* Display distributed file list correctly in usage message.
* Allow numbers in macro names.
* Bugfixes.

New in 1.4-p4:
* Deal with configure.ac as well as configure.in -- this time for real!
* The version numbering system now allows three point version numbers,
  such as 1.4.4, without thinking they are alpha release numbers.

New in 1.4-p3:
* Deal with configure.ac as well as configure.in.
* Don't complain if `version.texi' is included in multiple places.

New in 1.4-p2:
* Deal with AC_CONFIG_FILES from autoconf-2.50.
* Improvements to f77 support.
* DESTDIR now works for script targets.
* distcheck-hook works correctly.

New in 1.4-p1:
* The version numbering system now allows fork identifiers (such as
  the p1 in this version of automake).
* Cope gracefully with various versions of libtool which may or may not
  require ltconfig, ltcf-c.sh, ltcf-cxx.sh or ltcf-gcj.sh.
* Bugfixes.

Revision 1.26 / (download) - annotate - [select for diffs], Thu Jul 12 02:14:43 2001 UTC (17 years, 9 months ago) by fredb
Branch: MAIN
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 (colored)

Outsmarted myself -- ${PKGNAME} no longer matches ${DISTNAME}.

Revision 1.25 / (download) - annotate - [select for diffs], Thu Jul 12 02:09:35 2001 UTC (17 years, 9 months ago) by fredb
Branch: MAIN
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 (colored)

Belatedly bump the "nb" version, following the dropping of openssl
baggage for packages that have ${DEPENDS} on the libwww package, but
don't need to link in "libwwwssl" (currently all of them). These
packages _do_ _not_ need to have their DEPENDS changed now, as the
package system currently makes them require "libssl", whether they
truly require it to run, or not.

This will prove useful, however, when the version number of the
"libssl.so" shared library is bumped[1]. Then, we'll have to bump
again, but the depending packages will only need to depend on _this_
version, "libwww>=5.3.2nb1", the first version in which the "libwww*"
libraries (except libwwwssl) carry no dependency on "libssl".

[1] It's already been bumped in the HEAD of the base tree, but not
yet in the openssl package or in any release branch.

Revision 1.24 / (download) - annotate - [select for diffs], Thu Jun 28 20:55:53 2001 UTC (17 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.23: +14 -12 lines
Diff to previous 1.23 (colored)

Convert to use buildlink.mk files and mark as USE_BUILDLINK_ONLY.

Revision 1.23 / (download) - annotate - [select for diffs], Mon Apr 30 03:46:34 2001 UTC (17 years, 11 months ago) by jlam
Branch: MAIN
CVS Tags: netbsd-1-5-PATCH001
Changes since 1.22: +2 -2 lines
Diff to previous 1.22 (colored)

Change build dependency from perl-5.* to perl>=${PERL5_REQD}.

Revision 1.22 / (download) - annotate - [select for diffs], Fri Apr 20 12:33:52 2001 UTC (18 years ago) by fredb
Branch: MAIN
Changes since 1.21: +14 -8 lines
Diff to previous 1.21 (colored)

Rely on the fact that shared libraries can encode run-time dependencies
on other libraries, on both ELF and (NetBSD/)a.out, to make
libwwwssl.so.?.? depend on the correct openssl shared libraries, as
determined by the setting of ${SSLBASE} in bsd.pkg.mk. This closes PR
pkg/12570, and has the additional advantage that programs that _do_ _not_
need to link in "-lwwwssl" won't get "-lssl" or "-lcrypto" at all.

Also, make"w3c" and "www" build again with USE_SOCKS=4.

Revision 1.21 / (download) - annotate - [select for diffs], Tue Mar 27 03:20:23 2001 UTC (18 years, 1 month ago) by hubertf
Branch: MAIN
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

Change BUILD_DEPENDS semantics:
first component is now a package name+version/pattern, no more
executable/patchname/whatnot.

While there, introduce BUILD_USES_MSGFMT as shorthand to pull in
devel/gettext unless /usr/bin/msgfmt exists (i.e. on post-1.5 -current).

Patch by Alistair Crooks <agc@netbsd.org>

Revision 1.20 / (download) - annotate - [select for diffs], Sat Feb 17 17:22:12 2001 UTC (18 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.19: +2 -1 lines
Diff to previous 1.19 (colored)

Update to new COMMENT style: COMMENT var in Makefile instead of pkg/COMMENT.

Revision 1.19 / (download) - annotate - [select for diffs], Wed Dec 27 17:05:36 2000 UTC (18 years, 3 months ago) by jlam
Branch: MAIN
Changes since 1.18: +2 -2 lines
Diff to previous 1.18 (colored)

Build depends on perl should build from ../../lang/perl5-base if the
executable doesn't exist, as that's the minimum package requirement for
the executable.

Revision 1.18 / (download) - annotate - [select for diffs], Wed Dec 27 11:52:50 2000 UTC (18 years, 3 months ago) by hubertf
Branch: MAIN
Changes since 1.17: +3 -1 lines
Diff to previous 1.17 (colored)

Put perl back, as BUILD_DEPENDS

Revision 1.17 / (download) - annotate - [select for diffs], Wed Dec 27 02:34:12 2000 UTC (18 years, 3 months ago) by fredb
Branch: MAIN
Changes since 1.16: +0 -1 lines
Diff to previous 1.16 (colored)

Drop "libwww" from the list of packages which need to be
grautiutiously reinstalled whenever "perl" is reinstalled. For the
NetBSD package, the dependence on autoconf and automake has already
been removed, so it remained only to patch the configure script.

Revision 1.16 / (download) - annotate - [select for diffs], Tue Dec 26 17:23:58 2000 UTC (18 years, 3 months ago) by hubertf
Branch: MAIN
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

checking for perl... no
configure: error: Perl needs to be installed in order to compile libwww
*** Error code 1

set USE_PERL5 to prevent this.

Revision 1.15 / (download) - annotate - [select for diffs], Fri Dec 22 10:50:05 2000 UTC (18 years, 4 months ago) by fredb
Branch: MAIN
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

Update to libwww-5.3.2. From the web page...

This  is a minor release that mainly provides bug fixes and small
enhancements that have been commited to  CVS  since the last release.
Vladimir Koslov provided indispensable help for testing and preparing the
Win32  release. Special thanks to Wayne Davison, Art Barstow, Peter
Stamfest, Zhu Qun-Ying, Jens Meggers, Ken Olum for their contributions.
 * Summary of principal changes (the ChangeLog provides a detailed account)
      + The  following  sample  applications  could  core  dump
        under Windows: head.c, getheaders.c, chunk.c, chunkbody.c,
        multichunk.c
      + When retrieving an object from the cache, the HTTP headers
        associated with the object weren't stored in the HTResponse object.
      + The cache garbage collector could go into an endless loop.
      + The HTResponse object now returns the HTTP reason.
      + Update of expat to version 19990728.
      + Optimization, enhancements, and bugs fixes to the HTRDF module
      + Some memory leaks and compiler warning fixes.
      + The robot could hang when accessing local files.
      + Optimization of the HTChunk and HTHash modules.
 * Outstanding bugs
      + The webbot crashes from time to time under Windows. It
        seems to be a problem while reading the robots.txt file,
        there the application frees a request that's still registred
        in the Windows async. loop.,
      + The tiny.c sample application doesn't prompt the user with
        a text input.
      + Interpretation of FD_CLOSE under Windows.
      + The  FTP  implementation  has  memory  leaks  and doesn't
        remember the path or authentication information correctly.
      + Compiling with -O2 and -Wall reveals some unitialized
        variables in HTDIR and HTFTP.
 * To do
      + Compile the answers to the libwww survey (volunteers are welcome).

Revision 1.14 / (download) - annotate - [select for diffs], Sun Oct 15 12:56:25 2000 UTC (18 years, 6 months ago) by fredb
Branch: MAIN
Changes since 1.13: +6 -4 lines
Diff to previous 1.13 (colored)

Remove hidden dependency on "automake", and remove dependency on
"autoconf", too, while we're at it.

Revision 1.13 / (download) - annotate - [select for diffs], Sat Sep 9 19:40:24 2000 UTC (18 years, 7 months ago) by fredb
Branch: MAIN
CVS Tags: netbsd-1-5-RELEASE, netbsd-1-4-PATCH003
Changes since 1.12: +6 -9 lines
Diff to previous 1.12 (colored)

Reorganize crypto handling, as discussed on tech-pkg. Remove all
RESTRICTED= variables that were predicated on former U.S. export
regulations. Add CRYPTO=, as necessary, so it's still possible to
exclude all crypto packages from a build by setting MKCRYPTO=no
(but "lintpkgsrc -R" will no longer catch them).

Specifically,

- - All packages which set USE_SSL just lose their RESTRICTED
    variable, since MKCRYPTO responds to USE_SSL directly.
- - realplayer7 and ns-flash keep their RESTRICTED, which is based
    on license terms, but also gain the CRYPTO variable.
- - srp-client is now marked broken, since the distfile is evidently
    no longer available. On this, we're no worse off than before.
    [We haven't been mirroring the distfile, or testing the build!]
- - isakmpd gets CRYPTO for RESTRICTED, but remains broken.
- - crack loses all restrictions, as it does not evidently empower
    a user to utilize strong encryption (working definition: ability
    to encode a message that requires a secret key plus big number
    arithmetic to decode).

Revision 1.12 / (download) - annotate - [select for diffs], Sat Sep 2 16:29:22 2000 UTC (18 years, 7 months ago) by fredb
Branch: MAIN
Changes since 1.11: +2 -1 lines
Diff to previous 1.11 (colored)

Define USE_SSL for 1.4.x systems.

Revision 1.11 / (download) - annotate - [select for diffs], Sun Aug 6 16:51:15 2000 UTC (18 years, 8 months ago) by tron
Branch: MAIN
Changes since 1.10: +3 -2 lines
Diff to previous 1.10 (colored)

Add german mirror site.

Revision 1.10 / (download) - annotate - [select for diffs], Sun Aug 6 01:11:38 2000 UTC (18 years, 8 months ago) by fredb
Branch: MAIN
Changes since 1.9: +23 -7 lines
Diff to previous 1.9 (colored)

Update to libwww-5.3.1. This is the first release since 5.2.8. Includes
many bug fixes -- too many to list, full release history online at
<http://www.w3.org/Library/User/ReleaseNotes.html> -- and a few new features.
The most significant is integrated libwww-SSL. Also SOCKS "punching through
firewalls" support is present now (but untested by me). Not sure when that
appeared, exactly.

Revision 1.9 / (download) - annotate - [select for diffs], Wed Jun 21 02:58:23 2000 UTC (18 years, 10 months ago) by jlam
Branch: MAIN
Changes since 1.8: +14 -12 lines
Diff to previous 1.8 (colored)

USE_LIBTOOL instead of PKGLIBTOOL.

Revision 1.8 / (download) - annotate - [select for diffs], Thu Jun 1 11:23:43 2000 UTC (18 years, 10 months ago) by rh
Branch: MAIN
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

s/USE_LIBTOOL/USE_PKGLIBTOOL/
Add a new USE_LIBTOOL definition that uses the libtool package instead of
pkglibtool which is now considered outdated.
USE_PKGLIBTOOL is available for backwards compatibility with old packages
but is deprecated for new packages.

Revision 1.7 / (download) - annotate - [select for diffs], Fri Oct 8 04:43:07 1999 UTC (19 years, 6 months ago) by deberg
Branch: MAIN
CVS Tags: netbsd-1-4-PATCH002, comdex-fall-1999
Changes since 1.6: +3 -4 lines
Diff to previous 1.6 (colored)

update libwww to 5.2.8, which splits libwww.a into many component
libraries.

Revision 1.6 / (download) - annotate - [select for diffs], Thu Aug 12 19:40:52 1999 UTC (19 years, 8 months ago) by tron
Branch: MAIN
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

Old master site "ftp.w3c.org" didn't have distribution file any longer,
use "ftp.sunet.se" instead.

Revision 1.5 / (download) - annotate - [select for diffs], Thu Aug 20 15:17:30 1998 UTC (20 years, 8 months ago) by tsarna
Branch: MAIN
CVS Tags: netbsd-1-4-RELEASE, netbsd-1-4-PATCH001, netbsd-1-3-PATCH003
Changes since 1.4: +2 -1 lines
Diff to previous 1.4 (colored)

The Grand Homepagification:
	- New, optional Makefile variable HOMEPAGE, specifies a URL for
	  the home page of the software if it has one.
	- The value of HOMEPAGE is used to add a link from the
	  README.html files.
	- pkglint updated to know about it.  The "correct" location for
	  HOMEPAGE in the Makefile is after MAINTAINER, in that same
	  section.

Revision 1.4 / (download) - annotate - [select for diffs], Fri Jul 24 01:57:01 1998 UTC (20 years, 9 months ago) by tv
Branch: MAIN
Changes since 1.3: +2 -4 lines
Diff to previous 1.3 (colored)

Update to use USE_LIBTOOL.

Revision 1.3 / (download) - annotate - [select for diffs], Tue Jul 14 17:12:35 1998 UTC (20 years, 9 months ago) by tv
Branch: MAIN
Changes since 1.2: +3 -5 lines
Diff to previous 1.2 (colored)

Don't even try finding X11.  No X-specific software is supplied, but it
will try linking against libICE on all binaries anyway.

Revision 1.2 / (download) - annotate - [select for diffs], Tue Jul 14 16:56:51 1998 UTC (20 years, 9 months ago) by tv
Branch: MAIN
Changes since 1.1: +13 -14 lines
Diff to previous 1.1 (colored)

Add and activate the W3C libwww pkg.  This pkg makes use of the new
libtool pkg to create shared and static libraries automatically on all
platforms.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Tue Jul 14 16:51:20 1998 UTC (20 years, 9 months ago) by tv
Branch: FREEBSD
CVS Tags: FREEBSD-19980713
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Import of FreeBSD's W3C libwww port, patches to follow.

Revision 1.1 / (download) - annotate - [select for diffs], Tue Jul 14 16:51:20 1998 UTC (20 years, 9 months ago) by tv
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>